Bug 593525 - Please apply Krusader XZ patches
Please apply Krusader XZ patches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krusader (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
https://sourceforge.net/tracker/?func...
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 23:50 EDT by Kevin Kofler
Modified: 2010-06-10 15:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: krusader-2.2.0-0.4.beta1.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 15:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2010-05-18 23:50:27 EDT
Description of problem:
Krusader's lack of tar.xz support has annoyed me quite often. I'd really like to be able to use this format, and some upstream source tarballs already use it. A fairly straightforward patch adding support for it has been posted to the upstream bug tracker:
https://sourceforge.net/tracker/?func=detail&aid=2873567&group_id=6488&atid=306488
but not applied upstream yet. Can this patch please be applied to the Fedora package?

Version-Release number of selected component (if applicable):
krusader-2.0.0-1.fc11
krusader-2.0.0-1.1.fc12 (also in F13 and F14)

How reproducible:
Always.

Steps to Reproduce:
1. Try to create or unpack a tar.xz archive.
  
Actual results:
The format is not supported.

Expected results:
The format is supported.

Additional info:
I'm also willing to comaintain Krusader and make this change myself if you agree. I use it all the time.
Comment 1 Kevin Kofler 2010-06-03 06:51:05 EDT
Thanks for approving my request for comaintainership. I will take care of this RFE.
Comment 2 Kevin Kofler 2010-06-03 10:39:11 EDT
I posted another small patch needed for full LZMA and XZ support to the upstream patch tracker:
https://sourceforge.net/tracker/?func=detail&atid=306488&aid=3011061&group_id=6488
Comment 3 Kevin Kofler 2010-06-03 14:46:35 EDT
Fixed for Rawhide in 2.2.0-0.2.beta1.fc14, updates for F11, F12 and F13 now building.
Comment 4 Fedora Update System 2010-06-03 19:32:51 EDT
krusader-2.2.0-0.4.beta1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc13
Comment 5 Fedora Update System 2010-06-03 19:32:55 EDT
krusader-2.2.0-0.4.beta1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc11
Comment 6 Fedora Update System 2010-06-03 19:34:19 EDT
krusader-2.2.0-0.4.beta1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc12
Comment 7 Fedora Update System 2010-06-04 14:49:58 EDT
krusader-2.2.0-0.4.beta1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update krusader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/krusader-2.2.0-0.4.beta1.fc13
Comment 8 Fedora Update System 2010-06-10 15:04:50 EDT
krusader-2.2.0-0.4.beta1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-10 15:08:40 EDT
krusader-2.2.0-0.4.beta1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-10 15:15:52 EDT
krusader-2.2.0-0.4.beta1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.